---
sidebar_position: 0
description: 通过脚手架, PyPI, GitHub 安装 NoneBot

options:
  menu:
    weight: 10
    category: guide
---

# 安装 NoneBot

:::warning 注意
请确保你的 Python 版本 >= 3.7.3。
:::

:::warning 注意
请在安装 NoneBot v2 之前卸载 NoneBot v1

```bash
pip uninstall nonebot
```

:::

## 通过脚手架安装 (推荐)

1. (可选) 使用你喜欢的 Python 环境管理工具 (如 `poetry`, `venv`, `conda` 等) 创建新的虚拟环境
2. 使用 `pip` 或 其他包管理工具 安装 `nb-cli`，`nonebot2` 会作为其依赖被一起安装

   ```bash
   pip install nb-cli
   ```

<!-- TODO: asciinema for installation -->

:::important 提示
`nb-cli` 的使用方法详见 [使用脚手架](./nb-cli.md)
:::

## 不使用脚手架 (纯净安装)

如果你不想使用脚手架，可以直接安装 `nonebot2`，并自行完成开发配置。

```bash
pip install nonebot2
# 也可以通过 poetry 安装
poetry add nonebot2
```

## 从 GitHub 安装

如果你需要使用最新的（可能**尚未发布**的）特性，可以直接从 GitHub 仓库安装：

:::warning 注意
直接从 Github 仓库中安装意味着你将使用最新提交的代码，它们并没有进行充分的稳定性测试

在任何情况下请不要将其应用于生产环境!
:::

```bash title="Install From Github"
# master分支
poetry add git+https://github.com/nonebot/nonebot2.git#master
# dev分支
poetry add git+https://github.com/nonebot/nonebot2.git#dev
```

或者在克隆 Git 仓库后手动安装：

```bash
git clone https://github.com/nonebot/nonebot2.git
cd nonebot2
poetry install --no-dev  # 推荐
pip install .  # 不推荐
```
